Skip to main content

Patron Account Inquiry

POST 

/api/patronsession/accountlookup

Operators will call this method on the on the VIP Connect API to get an end user’s VIP account data. This request will not create a patron session. It is only used to validate or get VIP end user details.

Operators need to send a JWT bearer token to authenticate the request.

info

ID details or VIP number (not both) need to be sent as parameters to get end user VIP Preferred data.

Request​

Responses​

Account inquiry call received and data returned.

note

Patron Bank Accounts - The bankAccounts property is optional and is not returned by default. See Feature Toggles. The accountVerified field is only returned if it's enabled for the operator.

Instant Payment Eligible - The property instantPaymentEligible within the bankAccounts data indicates if the bank supports instant payment for withdrawal transactions. See fundTransferType withdraw request parameter for a list of possible values.

Patron Bank Account Number Display - The field bankAccounts[x].displayAccountNumber should be used for displaying the last 4 digits of the patron's bank account number. The maskedAccountNumber field may not match displayAccountNumber, as the maskedAccountNumber is a TAN (Tokenized Account Number).

{
"memberSince": "2022-08-01T00:00:00+00:00",
"lastTransaction": "0001-01-01T00:00:00+00:00",
"mostRecentTransactionAmount": 0.0,
"dateOfBirth": "09101997",
"last4SSN": "3545",
"incrementalLimitAmount": 0.0,
"maxLimitAmount": 0.0,
"vipCardNumber": "7210988860",
"idNumber": "****3545",
"idType": "DL",
"idState": "GA",
"firstName": "JOHN",
"lastName": "SMITH",
"name": "JOHN SMITH",
"address": "28 NQQODHNDV",
"city": "PRZYFAYQA",
"state": "TN",
"zip": "28292",
"homePhoneNumber": "8434811326",
"mobilePhoneNumber": "8434811326",
"email": "8ZN2EMYP@5JP6OEAZ.COM",
"limitAmount": 4500.0,
"availableAmount": 4500.0,
"isInGoodStanding": true,
"oneClickDiscountEligible": false,
"bankAccounts": [
{
"maskedAccountNumber": "****9999",
"displayAccountNumber": "2976",
"routingNumber": "11111111",
"bankName": "Jpmorgan Chase Bank, Na",
"availableLimit": 0.00,
"instantPaymentEligible": false,
"accountVerified": false
},
{
"maskedAccountNumber": "**1111",
"displayAccountNumber": "1111",
"routingNumber": "22222222",
"bankName": "Bank Of America, Na",
"availableLimit": 0.00,
"instantPaymentEligible": true,
"accountVerified": false
}
]
}
note
Amount limits are managed differently between VIP Preferred and VIP Online. The above example response is for VIP Preferred where amount limits are managed at the user level. In VIP Online, amount limits are managed at the bank account level which means the response would not contain the availableAmount field as shown above but rather inside the bankAccounts property as below:
"bankAccounts": [
{
"maskedAccountNumber": "****9999",
"displayAccountNumber": "2976",
"routingNumber": "11111111",
"bankName": "Jpmorgan Chase Bank, Na",
"availableAmount": 348.31,
"instantPaymentEligible": true,
"accountVerified": true
},
{
"maskedAccountNumber": "**1111",
"displayAccountNumber": "1111",
"routingNumber": "22222222",
"bankName": "Bank Of America, Na",
"availableAmount": 4500.0,
"instantPaymentEligible": false,
"accountVerified": false
}
]